io.agora.rtc

## Class EncodedVideoFrameInfo

- java.lang.Object
- - io.agora.rtc.EncodedVideoFrameInfo

-     public class EncodedVideoFrameInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `captureTimeMs` This is a input parameter which means the timestamp for capturing the video.
    `private int` | `codecType` The video codec: #VIDEO_CODEC_TYPE.
    `private long` | `decodeTimeMs` The timestamp for rendering the video.
    `private int` | `framesPerSecond` The number of video frames per second.
    `private int` | `frameType` The frame type of the encoded video frame: #VIDEO_FRAME_TYPE.
    `private int` | `height` The height (px) of the video.
    `private int` | `rotation` The rotation information of the encoded video frame: #VIDEO_ORIENTATION.
    `private int` | `streamType` The stream type of video frame.
    `private int` | `trackId` This can be reserved for multiple video tracks, we need to create different ssrc and additional payload for later implementation.
    `private int` | `uid` ID of the user.
    `private int` | `width` The width (px) of the video.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodedVideoFrameInfo()`
    `EncodedVideoFrameInfo(int codecType, int width, int height, int framesPerSecond, int frameType, int rotation, int trackId, long captureTimeMs, long renderTimeMs, int uid, int streamType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCaptureTimeMs()`
    `int` | `getCodecType()`
    `long` | `getDecodeTimeMs()`
    `int` | `getFramesPerSecond()`
    `int` | `getFrameType()`
    `int` | `getHeight()`
    `int` | `getRotation()`
    `int` | `getStreamType()`
    `int` | `getTrackId()`
    `int` | `getUid()`
    `int` | `getWidth()`
    `void` | `setCaptureTimeMs(long captureTimeMs)`
    `void` | `setCodecType(int codecType)`
    `void` | `setDecodeTimeMs(long decodeTimeMs)`
    `void` | `setFramesPerSecond(int framesPerSecond)`
    `void` | `setFrameType(int frameType)`
    `void` | `setHeight(int height)`
    `void` | `setRotation(int rotation)`
    `void` | `setStreamType(int streamType)`
    `void` | `setTrackId(int trackId)`
    `void` | `setUid(int uid)`
    `void` | `setWidth(int width)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codecType

          private int codecType

      The video codec: #VIDEO_CODEC_TYPE.

    - #### width

          private int width

      The width (px) of the video.

    - #### height

          private int height

      The height (px) of the video.

    - #### framesPerSecond

          private int framesPerSecond

      The number of video frames per second. This value will be used for calculating timestamps of the encoded image. If framesPerSecond equals zero, then real timestamp will be used. Otherwise, timestamp will be adjusted to the value of framesPerSecond set.

    - #### frameType

          private int frameType

      The frame type of the encoded video frame: #VIDEO_FRAME_TYPE.

    - #### rotation

          private int rotation

      The rotation information of the encoded video frame: #VIDEO_ORIENTATION.

    - #### trackId

          private int trackId

      This can be reserved for multiple video tracks, we need to create different ssrc and additional payload for later implementation.

    - #### captureTimeMs

          private long captureTimeMs

      This is a input parameter which means the timestamp for capturing the video.

    - #### decodeTimeMs

          private long decodeTimeMs

      The timestamp for rendering the video.

    - #### uid

          private int uid

      ID of the user.

    - #### streamType

          private int streamType

      The stream type of video frame.

  - ### Constructor Detail

    - #### EncodedVideoFrameInfo

          public EncodedVideoFrameInfo()

    - #### EncodedVideoFrameInfo

          public EncodedVideoFrameInfo(int codecType,
                                       int width,
                                       int height,
                                       int framesPerSecond,
                                       int frameType,
                                       int rotation,
                                       int trackId,
                                       long captureTimeMs,
                                       long renderTimeMs,
                                       int uid,
                                       int streamType)

  - ### Method Detail

    - #### getCodecType

          public int getCodecType()

    - #### setCodecType

          public void setCodecType(int codecType)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getFramesPerSecond

          public int getFramesPerSecond()

    - #### setFramesPerSecond

          public void setFramesPerSecond(int framesPerSecond)

    - #### getFrameType

          public int getFrameType()

    - #### setFrameType

          public void setFrameType(int frameType)

    - #### getRotation

          public int getRotation()

    - #### setRotation

          public void setRotation(int rotation)

    - #### getTrackId

          public int getTrackId()

    - #### setTrackId

          public void setTrackId(int trackId)

    - #### getCaptureTimeMs

          public long getCaptureTimeMs()

    - #### setCaptureTimeMs

          public void setCaptureTimeMs(long captureTimeMs)

    - #### getDecodeTimeMs

          public long getDecodeTimeMs()

    - #### setDecodeTimeMs

          public void setDecodeTimeMs(long decodeTimeMs)

    - #### getUid

          public int getUid()

    - #### setUid

          public void setUid(int uid)

    - #### getStreamType

          public int getStreamType()

    - #### setStreamType

          public void setStreamType(int streamType)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`